#!/bin/bash

MIN_DAY_LIGHT_VALUE=450

while true
do
    visible_luminance=$(luna-send -n 2 'luna://com.webos.service.pqcontroller/getEyeqSensorData' '{"subscribe" : true}' -q 'sensorData.visibleLuminance' 2>/dev/null | grep -Eo '[0-9]{1,4}') || visible_luminance=1
    piccap_running=$(luna-send -n 1 'luna://org.webosbrew.piccap.service/status' '{}' -q 'isRunning' | sed -En 's/.*"isRunning":([^"]*).*/\1/p') || piccap_running=false

    echo "visibleLuminance: ${visible_luminance}"
    echo "piccapRunning: ${piccap_running}"

    if [ $piccap_running == false ] && [ $visible_luminance -le $MIN_DAY_LIGHT_VALUE ]; then
        echo "Starting"
        luna-send -n 1 'luna://org.webosbrew.piccap.service/start' '{}' || true
    elif [ $piccap_running == true ] && [ $visible_luminance -gt $MIN_DAY_LIGHT_VALUE ]; then
        echo "Stopping..."
        luna-send -n 1 'luna://org.webosbrew.piccap.service/stop' '{}' || true
    else
        echo "Nothing to do"
    fi

    sleep 60
done